Name:           xpsk31
Version:        0.7
Release:        2%{?dist}
Summary:        GTK+ graphical version of lpsk31

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/psk31/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, glib2-devel, gtk2-devel >= 2.0.0, libtool
#Requires:       

%description
xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal 
decoding and encoding engine but controlled by the user via the GUI. In 
addition it has a FFT-derived "waterfall" display of the incoming signal and a 
"magniphase" display that shows the magnitude, phase and frequency error of the
psk31 signal.

%prep
%setup -q
touch NEWS
touch ChangeLog
autoreconf -v -i


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING INSTALL
%{_bindir}/%{name}

%changelog
* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-2
- Fix files section

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-1
- Initial Fedora SPEC


